(function () {
	var hot_deskingForm = $("#hot_desking_form");
	hot_deskingForm.validate(Validations);

	var pass_obj = {};
	pass_obj.class = 'hot_desking';
	pass_obj.method = 'show_strength';
	pass_obj.value = '';
	pass_obj.bar_selector = $(hot_deskingForm).find('div.password_strength');

	hot_deskingForm.find("input#secret").bind('keyup', function() {
		pass_obj.value = hot_deskingForm.find("input#secret").val();
		show_pass_strength(pass_obj);
	});

	var change_technology = function () {
		var technology = hot_deskingForm.find("[name='technology']:checked").val();
		if (technology === undefined) {
			technology = hot_deskingForm.find("[name='technology']").val();
		}
		switch (technology) {
			case "sip": {
				hot_deskingForm.find(".iax-tech, .fxs-tech").each(function () {
					$(this).addClass("ignore").closest(".form-group").hide();
				});
				hot_deskingForm.find(".sip-tech").each(function () {
					$(this).removeClass("ignore").closest(".form-group").show();
				});
				break;
			}
			case "iax": {
				hot_deskingForm.find(".sip-tech, .fxs-tech").each(function () {
					$(this).addClass("ignore").closest(".form-group").hide();
				});
				hot_deskingForm.find(".iax-tech").each(function () {
					$(this).removeClass("ignore").closest(".form-group").show();
				});
				break;
			}
			case "fxs": {
				hot_deskingForm.find(".iax-tech, .sip-tech").each(function () {
					$(this).addClass("ignore").closest(".form-group").hide();
				});
				hot_deskingForm.find(".fxs-tech").each(function () {
					$(this).addClass("ignore").closest(".form-group").show();
				});
				break;
			}
			case "none": {
				hot_deskingForm.find(".iax-tech, .sip-tech, .fxs-tech").each(function () {
					$(this).addClass("ignore").closest(".form-group").hide();
				});
				break;
			}
		}
	};
	hot_deskingForm.on("change", "[name='technology']", change_technology);
	change_technology();
	pass_obj.value = hot_deskingForm.find("input#secret").val();
	show_pass_strength(pass_obj);
})();
